%define major		1
%define libname		%mklibname xxf86dga %{major}
%define develname	%mklibname xxf86dga -d

Name:		libxxf86dga
Summary:	XFree86 Direct Graphics Access Extension Library
Version:	1.1.6
Release:	%mkrel 2
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86dga-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.6.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
XFree86 Direct Graphics Access Extension Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  XFree86 Direct Graphics Access Extension Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Direct Graphics Access Extension Library.

%files -n %{libname}
%{_libdir}/libXxf86dga.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xxf86dga-static-devel < 1.1.4-2

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXxf86dga.so
%{_libdir}/pkgconfig/xxf86dga.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XDGA*.3*
%{_mandir}/man3/XF86DGA.3*
%{_mandir}/man3/XFree86-DGA.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86dga-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Aug 02 2023 tex - 1.1.6-2pclos2023
- rebuild against updates

* Mon Dec 05 2022 tex - 1.1.6-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.1.5-5pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.1.5-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.1.5-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1.5-2pclos2019
- rebuild against updates

* Sun Mar 17 2019 tex - 1.1.5-1pclos2019
- rebuild against updates

